티스토리 뷰


Python에서 Serial 통신을 하려면 Pyserial이 필요하고, Pyserial을 사용하려면, Python Extensions for windows중 하나인 Pywin32를 설치해야 한다.

하지만 최신 버전을 설치하려면 여간 힘든게 아니다..

기존에 Panda3D 1.3.2 (Python 2.4)버전을 사용하다, 이번 "개발자는 Always 최신버전을 사용해야한다." 라는 말에 Panda3D를 1.7.0 버전으로 업데이트하였다. Panda3D를 설치하면 python language의 interpreter 부분만 설치되는데, Panda3D 1.7.0에 딸려오는 Python은 2.6버전이다.

당연히 Pyserial과 Pywin32를 2.6에 맞는 것을 설치해야하는데... 앞에서 말했듯이 찾는게 여간 힘든게 아니다..



다음과 같은 사이트에서 다운받으면 되고, Pywin32의 경우 View All files를 선택하여 자기에게 맞는 버전을 설치해야 한다.

현재 (2010년 10월 8일)기준으로 Pywin32의 경우 214버전이 최신버전이고

Pyserial의 경우 2.5버전이 최신버전이다. (Pyserial의 경우, Python 2.x 와 Pythin 3.x 버전으로 나누어 있다.)


Panda3D 1.7.0버전에 맞는 Pyserial과 Pywin32
댓글
댓글쓰기 폼
공지사항
Total
386,611
Today
0
Yesterday
97
링크
«   2019/06   »
            1
2 3 4 5 6 7 8
9 10 11 12 13 14 15
16 17 18 19 20 21 22
23 24 25 26 27 28 29
30            
글 보관함